Category: Project Loading/Saving

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13076

Description

Just an idea, maybe it is crazy :)

It would be handy if there was an option to open all the layers from another .qgs project in a new group.

But should the information simply be copied out of the other .qgs project, or should it be linked to somehow (so that changes in the linked

project are reflected in the project linking to it)?

I guess ideally there would be an option to either copy or link the project.

This would depend on #1899 (Nested Grouping in Layer Tree)

History

#1 - 2011-06-09 05:28 PM - Alister Hood

- Assignee deleted (nobody -)

- Status changed from Open to Closed

But should the information simply be copied out of the other .qgs project

I hear this has been implemented in the new "importproject" plugin in the contributed repo.

or should it be linked to somehow (so that changes in the linked project are reflected in the project linking to it)?

I hear this has been implemented in trunk now.

#2 - 2011-06-20 10:02 PM - Alister Hood

I hear this has been implemented in trunk now.

Yes: in trunk "Layer>Embed layers and groups" lets you select layers and groups from another .qgs file to link to.

At least at the moment you can't change the symbology of linked layers, and if you link a group you can't change the order of the layers in the group (but

you could link the layers in the group, rather than the group itself, which would enable you to change the order).

You can toggle the visibility as usual, and can also remove layers from a linked group.

#3 - 2011-06-21 12:50 AM - Giovanni Manghi
see also the "importproject" plugin, it will allow you to import layers from other projects. Unlike the core features this layers are copied into the new project,

so you can change them as you want.
